namespace HuanMeng.DotNetCore.Processors
{
    /// <summary>
    /// 任务处理器接口
    /// </summary>
    public interface ITaskProcessor : IDisposable
    {
        /// <summary>
        /// 运行任务
        /// </summary>
        void Run();

        /// <summary>
        /// 停止运行
        /// </summary>
        void Stop();
    }
}
